Package org.mariadb.jdbc.message.server

## Class OkPacket

- java.lang.Object
- - org.mariadb.jdbc.message.server.OkPacket

All Implemented Interfaces:
  `Completion`, `ServerMessage`

    public class OkPacket
    extends Object
    implements Completion

### Constructor Summary

Constructors
`OkPacket​(org.mariadb.jdbc.client.ReadableByteBuf buf, Context context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getAffectedRows()`
`long` `getLastInsertId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OkPacket

    public OkPacket​(org.mariadb.jdbc.client.ReadableByteBuf buf,
                    Context context)

### Method Detail

#### getAffectedRows

    public long getAffectedRows()

#### getLastInsertId

    public long getLastInsertId()